Skip to main content
GET
/
users
List users
curl --request GET \
  --url https://dashboard.researchanddesire.com/api/v1/users \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://dashboard.researchanddesire.com/api/v1/users"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://dashboard.researchanddesire.com/api/v1/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "ok": true,
  "data": {
    "data": [
      {
        "id": 42,
        "username": "alice_trainer",
        "accountType": "user",
        "subscriptionTier": "ultra",
        "league": 3,
        "rank": 150,
        "totalPoints": 12500,
        "matchPoints": 800,
        "profileImage": "https://example.com/avatar.jpg",
        "profileDescription": "Hello world",
        "profileTitle": "Expert Trainer"
      }
    ],
    "pagination": {
      "limit": 50,
      "offset": 0
    }
  }
}
{
"ok": false,
"error": "Unauthorized"
}
{
"ok": false,
"error": "Internal server error"
}

Authorizations

Authorization
string
header
required

API tokens can be created in the Dashboard settings. Requires an Ultra subscription.

Query Parameters

limit
integer
default:50

Number of records to return (default 50, max 100)

Required range: 1 <= x <= 100
Example:

50

offset
integer
default:0

Number of records to skip (default 0)

Required range: x >= 0
Example:

0

Response

List of users

ok
boolean
required
data
object
required